Subject: Re: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Jared Finder <[email-masked]>
Date: Tue, 26 Mar 2024 08:34:11 -0700

It's been four weeks and I've seen no reply to this comment.  Are there 
any other concerns?

   -- MJF

On 2024-02-26 14:38, Jared Finder wrote:
> On 2024-02-10 09:25, Juri Linkov wrote:
>>>> * lisp/tab-line.el (tab-line-format-template): Add separator space.
>>>> (tab-line-display-order): New user variable to control display 
>>>> order.
>>>> (tab-line--runtime-display-order, tab-line--cookie): New internal
>>>> variables.
>>>> (tab-line-set-display): New function for modes to call to enable 
>>>> only
>>>> their content.
>>>> (tab-line-mode): Call `tab-line-set-display'.
>>> 
>>> Juri, would you please review this part of the changeset?
>> 
>> I'm not sure if this provides a clean interface.
>> Have you tried to show both window-tool-bar and tab-line tabs
>> on the same tab-line?  Do you think this combination is usable?
>> Or maybe better just repurpose the tab-line in window-tool-bar.el
>> exclusively for window-local tool-bar?
> 
> The implementation I provided works fine for me with both 
> window-tool-bar-mode and tab-line-mode enabled as long as there are not 
> too many tabs.  I could see further adding a way to specify the max 
> width tabs are able to take up if you think that's necessary.
> 
>   -- MJF